POST api/NTSetting/PostInjuryNature

Request Information

URI Parameters

None.

Body Parameters

InjuryNatureDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Name

string

String length: inclusive between 0 and 100

Sequence

integer

None.

Description

string

String length: inclusive between 0 and 100

NCCICode

string

String length: inclusive between 0 and 50

MedGateCode

string

String length: inclusive between 0 and 50

Standard

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Name": "sample string 2",
  "Sequence": 3,
  "Description": "sample string 4",
  "NCCICode": "sample string 5",
  "MedGateCode": "sample string 6",
  "Standard": true,
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:28:22.6448989-07:00",
  "DateUpdated": "2026-08-04T14:28:22.6448989-07:00",
  "UserIDCreated": 11,
  "UserIDUpdated": 12,
  "CompanyCode": "sample string 13",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfInjuryNatureDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

InjuryNatureDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Name": "sample string 2",
    "Sequence": 3,
    "Description": "sample string 4",
    "NCCICode": "sample string 5",
    "MedGateCode": "sample string 6",
    "Standard": true,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:28:22.6604904-07:00",
    "DateUpdated": "2026-08-04T14:28:22.6604904-07:00",
    "UserIDCreated": 11,
    "UserIDUpdated": 12,
    "CompanyCode": "sample string 13",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}